public static interface SnmpEndpointBuilderFactory.SnmpBuilders
| Modifier and Type | Method and Description |
|---|---|
default SnmpEndpointBuilderFactory.SnmpEndpointBuilder |
snmp(String path)
SNMP (camel-snmp)
Receive traps and poll SNMP (Simple Network Management Protocol)
capable devices.
|
default SnmpEndpointBuilderFactory.SnmpEndpointBuilder |
snmp(String componentName,
String path)
SNMP (camel-snmp)
Receive traps and poll SNMP (Simple Network Management Protocol)
capable devices.
|
default SnmpEndpointBuilderFactory.SnmpEndpointBuilder snmp(String path)
snmp:host:port
Path parameter: host (required)
Hostname of the SNMP enabled device
Path parameter: port (required)
Port number of the SNMP enabled devicepath - host:portdefault SnmpEndpointBuilderFactory.SnmpEndpointBuilder snmp(String componentName, String path)
snmp:host:port
Path parameter: host (required)
Hostname of the SNMP enabled device
Path parameter: port (required)
Port number of the SNMP enabled devicecomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:portApache Camel